/* 
 * File:   functions.h
 * Author: Aron
 *
 * Created on December 8, 2014, 10:34 PM
 */

#ifndef FUNCTIONS_H

#define	FUNCTIONS_H

#include <xc.h>
#include <stdbool.h>

void initDevice();
bool I2CStart();
bool I2CWriteCommand(unsigned char, bool);
bool I2CWriteRamData(unsigned char, bool);
bool I2CWriteData(unsigned char);
bool I2CSend(unsigned char);
bool I2CStop();

bool UARTWrite(unsigned char);
unsigned char UARTRead();
bool UARTSendString(char*);

#define LCD_ADDR 0x7c // Raystar 16x2 I2C COG LCD address

#endif	/* FUNCTIONS_H */

